package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.Pendidikan;
import com.jasamedika.medifirst2000.vo.PendidikanVO;

/**
 * Converter class between Pasien and PasienVO
 * 
 * @author Askur
 */
@Component
public class PendidikanConverter implements BaseVoConverter<PendidikanVO, Pendidikan> {


	@Override
	public Pendidikan transferVOToModel(PendidikanVO vo, Pendidikan model) {
		if (null == model)
			model = new Pendidikan();

		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, Pendidikan.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return model;
	}

	@Override
	public List<PendidikanVO> transferListOfModelToListOfVO(List<Pendidikan> models, List<PendidikanVO> vos) {

		if (null == vos)
			vos = new ArrayList<PendidikanVO>();

		if (null == models)
			return vos;

		for (Pendidikan pegawai : models) {
			PendidikanVO vo = new PendidikanVO();
			vo=transferModelToVO(pegawai, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public PendidikanVO transferModelToVO(Pendidikan model, PendidikanVO vo) {
		if (null == vo)
			vo = new PendidikanVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PendidikanVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	}
	
	
	
	

}
